#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  CustomStateSet = 2081,
  DOMException = 2096,
  DOMImplementation = 2109,
  DOMLocalization = 2127,
  DOMMatrix = 2143,
  DOMMatrixReadOnly = 2153,
  DOMParser = 2171,
  DOMPoint = 2181,
  DOMPointReadOnly = 2190,
  DOMQuad = 2207,
  DOMRect = 2215,
  DOMRectList = 2223,
  DOMRectReadOnly = 2235,
  DOMRequest = 2251,
  DOMStringList = 2262,
  DOMStringMap = 2276,
  DOMTokenList = 2289,
  DataTransfer = 2302,
  DataTransferItem = 2315,
  DataTransferItemList = 2332,
  DebuggerNotification = 2353,
  DebuggerNotificationObserver = 2374,
  DecompressionStream = 2403,
  DedicatedWorkerGlobalScope = 2423,
  DelayNode = 2450,
  DeprecationReportBody = 2460,
  DeviceAcceleration = 2482,
  DeviceLightEvent = 2501,
  DeviceMotionEvent = 2518,
  DeviceOrientationEvent = 2536,
  DeviceRotationRate = 2559,
  Directory = 2578,
  Document = 2588,
  DocumentFragment = 2597,
  DocumentL10n = 2614,
  DocumentTimeline = 2627,
  DocumentType = 2644,
  DominatorTree = 2657,
  DragEvent = 2671,
  DynamicsCompressorNode = 2681,
  EXT_blend_minmax = 2704,
  EXT_color_buffer_float = 2721,
  EXT_color_buffer_half_float = 2744,
  EXT_disjoint_timer_query = 2772,
  EXT_float_blend = 2797,
  EXT_frag_depth = 2813,
  EXT_sRGB = 2828,
  EXT_shader_texture_lod = 2837,
  EXT_texture_compression_bptc = 2860,
  EXT_texture_compression_rgtc = 2889,
  EXT_texture_filter_anisotropic = 2918,
  EXT_texture_norm16 = 2949,
  Element = 2968,
  ElementInternals = 2976,
  EncodedVideoChunk = 2993,
  ErrorEvent = 3011,
  Event = 3022,
  EventCallbackDebuggerNotification = 3028,
  EventCounts = 3062,
  EventSource = 3074,
  EventTarget = 3086,
  Exception = 3098,
  ExtendableEvent = 3108,
  ExtendableMessageEvent = 3124,
  ExtensionAlarms = 3147,
  ExtensionBrowser = 3163,
  ExtensionBrowserSettings = 3180,
  ExtensionBrowserSettingsColorManagement = 3205,
  ExtensionDns = 3245,
  ExtensionEventManager = 3258,
  ExtensionMockAPI = 3280,
  ExtensionPort = 3297,
  ExtensionProxy = 3311,
  ExtensionRuntime = 3326,
  ExtensionScripting = 3343,
  ExtensionSetting = 3362,
  ExtensionTest = 3379,
  External = 3393,
  FeaturePolicy = 3402,
  FeaturePolicyViolationReportBody = 3416,
  FetchEvent = 3449,
  FetchObserver = 3460,
  File = 3474,
  FileList = 3479,
  FileReader = 3488,
  FileReaderSync = 3499,
  FileSystem = 3514,
  FileSystemDirectoryEntry = 3525,
  FileSystemDirectoryHandle = 3550,
  FileSystemDirectoryHandle_AsyncIterator = 3576,
  FileSystemDirectoryIterator = 3616,
  FileSystemDirectoryReader = 3644,
  FileSystemEntry = 3670,
  FileSystemFileEntry = 3686,
  FileSystemFileHandle = 3706,
  FileSystemHandle = 3727,
  FileSystemSyncAccessHandle = 3744,
  FileSystemWritableFileStream = 3771,
  Flex = 3800,
  FlexItemValues = 3805,
  FlexLineValues = 3820,
  FluentBundle = 3835,
  FluentBundleAsyncIterator = 3848,
  FluentBundleIterator = 3874,
  FluentPattern = 3895,
  FluentResource = 3909,
  FocusEvent = 3924,
  FontFace = 3935,
  FontFaceSet = 3944,
  FontFaceSetIterator = 3956,
  FontFaceSetLoadEvent = 3976,
  FormData = 3997,
  FormData_Iterator = 4006,
  FormDataEvent = 4024,
  FrameCrashedEvent = 4038,
  FrameLoader = 4056,
  GPU = 4068,
  GPUAdapter = 4072,
  GPUAdapterInfo = 4083,
  GPUBindGroup = 4098,
  GPUBindGroupLayout = 4111,
  GPUBuffer = 4130,
  GPUBufferUsage = 4140,
  GPUCanvasContext = 4155,
  GPUColorWrite = 4172,
  GPUCommandBuffer = 4186,
  GPUCommandEncoder = 4203,
  GPUCompilationInfo = 4221,
  GPUCompilationMessage = 4240,
  GPUComputePassEncoder = 4262,
  GPUComputePipeline = 4284,
  GPUDevice = 4303,
  GPUDeviceLostInfo = 4313,
  GPUError = 4331,
  GPUInternalError = 4340,
  GPUMapMode = 4357,
  GPUOutOfMemoryError = 4368,
  GPUPipelineLayout = 4388,
  GPUQuerySet = 4406,
  GPUQueue = 4418,
  GPURenderBundle = 4427,
  GPURenderBundleEncoder = 4443,
  GPURenderPassEncoder = 4466,
  GPURenderPipeline = 4487,
  GPUSampler = 4505,
  GPUShaderModule = 4516,
  GPUShaderStage = 4532,
  GPUSupportedFeatures = 4547,
  GPUSupportedLimits = 4568,
  GPUTexture = 4587,
  GPUTextureUsage = 4598,
  GPUTextureView = 4614,
  GPUUncapturedErrorEvent = 4629,
  GPUValidationError = 4653,
  GainNode = 4672,
  Gamepad = 4681,
  GamepadAxisMoveEvent = 4689,
  GamepadButton = 4710,
  GamepadButtonEvent = 4724,
  GamepadEvent = 4743,
  GamepadHapticActuator = 4756,
  GamepadLightIndicator = 4778,
  GamepadPose = 4800,
  GamepadServiceTest = 4812,
  GamepadTouch = 4831,
  Geolocation = 4844,
  GeolocationCoordinates = 4856,
  GeolocationPosition = 4879,
  GeolocationPositionError = 4899,
  GetUserMediaRequest = 4924,
  GleanBoolean = 4944,
  GleanCategory = 4957,
  GleanCounter = 4971,
  GleanCustomDistribution = 4984,
  GleanDatetime = 5008,
  GleanDenominator = 5022,
  GleanEvent = 5039,
  GleanImpl = 5050,
  GleanLabeled = 5060,
  GleanMemoryDistribution = 5073,
  GleanMetric = 5097,
  GleanNumerator = 5109,
  GleanPingsImpl = 5124,
  GleanQuantity = 5139,
  GleanRate = 5153,
  GleanString = 5163,
  GleanStringList = 5175,
  GleanText = 5191,
  GleanTimespan = 5201,
  GleanTimingDistribution = 5215,
  GleanUrl = 5239,
  GleanUuid = 5248,
  Grid = 5258,
  GridArea = 5263,
  GridDimension = 5272,
  GridLine = 5286,
  GridLines = 5295,
  GridTrack = 5305,
  GridTracks = 5315,
  HTMLAllCollection = 5326,
  HTMLAnchorElement = 5344,
  HTMLAreaElement = 5362,
  HTMLAudioElement = 5378,
  HTMLBRElement = 5395,
  HTMLBaseElement = 5409,
  HTMLBodyElement = 5425,
  HTMLButtonElement = 5441,
  HTMLCanvasElement = 5459,
  HTMLCollection = 5477,
  HTMLDListElement = 5492,
  HTMLDataElement = 5509,
  HTMLDataListElement = 5525,
  HTMLDetailsElement = 5545,
  HTMLDialogElement = 5564,
  HTMLDirectoryElement = 5582,
  HTMLDivElement = 5603,
  HTMLDocument = 5618,
  HTMLElement = 5631,
  HTMLEmbedElement = 5643,
  HTMLFieldSetElement = 5660,
  HTMLFontElement = 5680,
  HTMLFormControlsCollection = 5696,
  HTMLFormElement = 5723,
  HTMLFrameElement = 5739,
  HTMLFrameSetElement = 5756,
  HTMLHRElement = 5776,
  HTMLHeadElement = 5790,
  HTMLHeadingElement = 5806,
  HTMLHtmlElement = 5825,
  HTMLIFrameElement = 5841,
  HTMLImageElement = 5859,
  HTMLInputElement = 5876,
  HTMLLIElement = 5893,
  HTMLLabelElement = 5907,
  HTMLLegendElement = 5924,
  HTMLLinkElement = 5942,
  HTMLMapElement = 5958,
  HTMLMarqueeElement = 5973,
  HTMLMediaElement = 5992,
  HTMLMenuElement = 6009,
  HTMLMetaElement = 6025,
  HTMLMeterElement = 6041,
  HTMLModElement = 6058,
  HTMLOListElement = 6073,
  HTMLObjectElement = 6090,
  HTMLOptGroupElement = 6108,
  HTMLOptionElement = 6128,
  HTMLOptionsCollection = 6146,
  HTMLOutputElement = 6168,
  HTMLParagraphElement = 6186,
  HTMLParamElement = 6207,
  HTMLPictureElement = 6224,
  HTMLPreElement = 6243,
  HTMLProgressElement = 6258,
  HTMLQuoteElement = 6278,
  HTMLScriptElement = 6295,
  HTMLSelectElement = 6313,
  HTMLSlotElement = 6331,
  HTMLSourceElement = 6347,
  HTMLSpanElement = 6365,
  HTMLStyleElement = 6381,
  HTMLTableCaptionElement = 6398,
  HTMLTableCellElement = 6422,
  HTMLTableColElement = 6443,
  HTMLTableElement = 6463,
  HTMLTableRowElement = 6480,
  HTMLTableSectionElement = 6500,
  HTMLTemplateElement = 6524,
  HTMLTextAreaElement = 6544,
  HTMLTimeElement = 6564,
  HTMLTitleElement = 6580,
  HTMLTrackElement = 6597,
  HTMLUListElement = 6614,
  HTMLUnknownElement = 6631,
  HTMLVideoElement = 6650,
  HashChangeEvent = 6667,
  Headers = 6683,
  Headers_Iterator = 6691,
  HeapSnapshot = 6708,
  Highlight = 6721,
  HighlightRegistry = 6731,
  History = 6749,
  IDBCursor = 6757,
  IDBCursorWithValue = 6767,
  IDBDatabase = 6786,
  IDBFactory = 6798,
  IDBIndex = 6809,
  IDBKeyRange = 6818,
  IDBLocaleAwareKeyRange = 6830,
  IDBObjectStore = 6853,
  IDBOpenDBRequest = 6868,
  IDBRequest = 6885,
  IDBTransaction = 6896,
  IDBVersionChangeEvent = 6911,
  IIRFilterNode = 6933,
  IOUtils = 6947,
  IdentityCredential = 6955,
  IdleDeadline = 6974,
  Image = 6987,
  ImageBitmap = 6993,
  ImageBitmapRenderingContext = 7005,
  ImageCapture = 7033,
  ImageCaptureError = 7046,
  ImageCaptureErrorEvent = 7064,
  ImageData = 7087,
  ImageDocument = 7097,
  InputEvent = 7111,
  InspectorFontFace = 7122,
  InspectorUtils = 7140,
  InstallTriggerImpl = 7155,
  IntersectionObserver = 7174,
  IntersectionObserverEntry = 7195,
  IntlUtils = 7221,
  InvokeEvent = 7231,
  JSProcessActorChild = 7243,
  JSProcessActorParent = 7263,
  JSWindowActorChild = 7284,
  JSWindowActorParent = 7303,
  KeyEvent = 7323,
  KeyboardEvent = 7332,
  KeyframeEffect = 7346,
  L10nFileSource = 7361,
  L10nOverlays = 7376,
  L10nRegistry = 7389,
  LargestContentfulPaint = 7402,
  LegacyMozTCPSocket = 7425,
  Localization = 7444,
  Location = 7457,
  Lock = 7466,
  LockManager = 7471,
  MIDIAccess = 7483,
  MIDIConnectionEvent = 7494,
  MIDIInput = 7514,
  MIDIInputMap = 7524,
  MIDIMessageEvent = 7537,
  MIDIOutput = 7554,
  MIDIOutputMap = 7565,
  MIDIPort = 7579,
  MOZ_debug = 7588,
  MatchGlob = 7598,
  MatchPattern = 7608,
  MatchPatternSet = 7621,
  MathMLElement = 7637,
  MediaCapabilities = 7651,
  MediaCapabilitiesInfo = 7669,
  MediaControlService = 7691,
  MediaController = 7711,
  MediaDeviceInfo = 7727,
  MediaDevices = 7743,
  MediaElementAudioSourceNode = 7756,
  MediaEncryptedEvent = 7784,
  MediaError = 7804,
  MediaKeyError = 7815,
  MediaKeyMessageEvent = 7829,
  MediaKeySession = 7850,
  MediaKeyStatusMap = 7866,
  MediaKeyStatusMap_Iterator = 7884,
  MediaKeySystemAccess = 7911,
  MediaKeys = 7932,
  MediaList = 7942,
  MediaMetadata = 7952,
  MediaQueryList = 7966,
  MediaQueryListEvent = 7981,
  MediaRecorder = 8001,
  MediaRecorderErrorEvent = 8015,
  MediaSession = 8039,
  MediaSource = 8052,
  MediaStream = 8064,
  MediaStreamAudioDestinationNode = 8076,
  MediaStreamAudioSourceNode = 8108,
  MediaStreamError = 8135,
  MediaStreamEvent = 8152,
  MediaStreamTrack = 8169,
  MediaStreamTrackAudioSourceNode = 8186,
  MediaStreamTrackEvent = 8218,
  MerchantValidationEvent = 8240,
  MessageBroadcaster = 8264,
  MessageChannel = 8283,
  MessageEvent = 8298,
  MessageListenerManager = 8311,
  MessagePort = 8334,
  MessageSender = 8346,
  MimeType = 8360,
  MimeTypeArray = 8369,
  MouseEvent = 8383,
  MouseScrollEvent = 8394,
  MozCanvasPrintState = 8411,
  MozDocumentMatcher = 8431,
  MozDocumentObserver = 8450,
  MozQueryInterface = 8470,
  MozSharedMap = 8488,
  MozSharedMap_Iterator = 8501,
  MozSharedMapChangeEvent = 8523,
  MozStorageAsyncStatementParams = 8547,
  MozStorageStatementParams = 8578,
  MozStorageStatementRow = 8604,
  MozWritableSharedMap = 8627,
  MutationEvent = 8648,
  MutationObserver = 8662,
  MutationRecord = 8679,
  NamedNodeMap = 8694,
  NavigationPreloadManager = 8707,
  Navigator = 8732,
  NetworkInformation = 8742,
  Node = 8761,
  NodeFilter = 8766,
  NodeIterator = 8777,
  NodeList = 8790,
  Notification = 8799,
  NotificationEvent = 8812,
  NotifyPaintEvent = 8830,
  OES_draw_buffers_indexed = 8847,
  OES_element_index_uint = 8872,
  OES_fbo_render_mipmap = 8895,
  OES_standard_derivatives = 8917,
  OES_texture_float = 8942,
  OES_texture_float_linear = 8960,
  OES_texture_half_float = 8985,
  OES_texture_half_float_linear = 9008,
  OES_vertex_array_object = 9038,
  OVR_multiview2 = 9062,
  OfflineAudioCompletionEvent = 9077,
  OfflineAudioContext = 9105,
  OffscreenCanvas = 9125,
  OffscreenCanvasRenderingContext2D = 9141,
  Option = 9175,
  OscillatorNode = 9182,
  PageTransitionEvent = 9197,
  PaintRequest = 9217,
  PaintRequestList = 9230,
  PaintWorkletGlobalScope = 9247,
  PannerNode = 9271,
  ParentProcessMessageManager = 9282,
  Path2D = 9310,
  PathUtils = 9317,
  PaymentAddress = 9327,
  PaymentMethodChangeEvent = 9342,
  PaymentRequest = 9367,
  PaymentRequestUpdateEvent = 9382,
  PaymentResponse = 9408,
  PeerConnectionImpl = 9424,
  PeerConnectionObserver = 9443,
  Performance = 9466,
  PerformanceEntry = 9478,
  PerformanceEntryEvent = 9495,
  PerformanceEventTiming = 9517,
  PerformanceMark = 9540,
  PerformanceMeasure = 9556,
  PerformanceNavigation = 9575,
  PerformanceNavigationTiming = 9597,
  PerformanceObserver = 9625,
  PerformanceObserverEntryList = 9645,
  PerformancePaintTiming = 9674,
  PerformanceResourceTiming = 9697,
  PerformanceServerTiming = 9723,
  PerformanceTiming = 9747,
  PeriodicWave = 9765,
  PermissionStatus = 9778,
  Permissions = 9795,
  PlacesBookmark = 9807,
  PlacesBookmarkAddition = 9822,
  PlacesBookmarkChanged = 9845,
  PlacesBookmarkGuid = 9867,
  PlacesBookmarkKeyword = 9886,
  PlacesBookmarkMoved = 9908,
  PlacesBookmarkRemoved = 9928,
  PlacesBookmarkTags = 9950,
  PlacesBookmarkTime = 9969,
  PlacesBookmarkTitle = 9988,
  PlacesBookmarkUrl = 10008,
  PlacesEvent = 10026,
  PlacesFavicon = 10038,
  PlacesHistoryCleared = 10052,
  PlacesObservers = 10073,
  PlacesPurgeCaches = 10089,
  PlacesRanking = 10107,
  PlacesVisit = 10121,
  PlacesVisitRemoved = 10133,
  PlacesVisitTitle = 10152,
  PlacesWeakCallbackWrapper = 10169,
  Plugin = 10195,
  PluginArray = 10202,
  PluginCrashedEvent = 10214,
  PointerEvent = 10233,
  PopStateEvent = 10246,
  PopupBlockedEvent = 10260,
  PopupPositionedEvent = 10278,
  PositionStateEvent = 10299,
  PrecompiledScript = 10318,
  ProcessMessageManager = 10336,
  ProcessingInstruction = 10358,
  ProgressEvent = 10380,
  PromiseDebugging = 10394,
  PromiseNativeHandler = 10411,
  PromiseRejectionEvent = 10432,
  PublicKeyCredential = 10454,
  PushEvent = 10474,
  PushManager = 10484,
  PushManagerImpl = 10496,
  PushMessageData = 10512,
  PushSubscription = 10528,
  PushSubscriptionOptions = 10545,
  RTCCertificate = 10569,
  RTCDTMFSender = 10584,
  RTCDTMFToneChangeEvent = 10598,
  RTCDataChannel = 10621,
  RTCDataChannelEvent = 10636,
  RTCDtlsTransport = 10656,
  RTCEncodedAudioFrame = 10673,
  RTCEncodedVideoFrame = 10694,
  RTCIceCandidate = 10715,
  RTCIdentityProviderRegistrar = 10731,
  RTCPeerConnection = 10760,
  RTCPeerConnectionIceEvent = 10778,
  RTCPeerConnectionStatic = 10804,
  RTCRtpReceiver = 10828,
  RTCRtpScriptTransform = 10843,
  RTCRtpScriptTransformer = 10865,
  RTCRtpSender = 10889,
  RTCRtpTransceiver = 10902,
  RTCSctpTransport = 10920,
  RTCSessionDescription = 10937,
  RTCStatsReport = 10959,
  RTCTrackEvent = 10974,
  RTCTransformEvent = 10988,
  RadioNodeList = 11006,
  Range = 11020,
  ReadableByteStreamController = 11026,
  ReadableStream = 11055,
  ReadableStream_AsyncIterator = 11070,
  ReadableStreamBYOBReader = 11099,
  ReadableStreamBYOBRequest = 11124,
  ReadableStreamDefaultController = 11150,
  ReadableStreamDefaultReader = 11182,
  Report = 11210,
  ReportBody = 11217,
  ReportingObserver = 11228,
  Request = 11246,
  ResizeObserver = 11254,
  ResizeObserverEntry = 11269,
  ResizeObserverSize = 11289,
  Response = 11308,
  SVGAElement = 11317,
  SVGAngle = 11329,
  SVGAnimateElement = 11338,
  SVGAnimateMotionElement = 11356,
  SVGAnimateTransformElement = 11380,
  SVGAnimatedAngle = 11407,
  SVGAnimatedBoolean = 11424,
  SVGAnimatedEnumeration = 11443,
  SVGAnimatedInteger = 11466,
  SVGAnimatedLength = 11485,
  SVGAnimatedLengthList = 11503,
  SVGAnimatedNumber = 11525,
  SVGAnimatedNumberList = 11543,
  SVGAnimatedPreserveAspectRatio = 11565,
  SVGAnimatedRect = 11596,
  SVGAnimatedString = 11612,
  SVGAnimatedTransformList = 11630,
  SVGAnimationElement = 11655,
  SVGCircleElement = 11675,
  SVGClipPathElement = 11692,
  SVGComponentTransferFunctionElement = 11711,
  SVGDefsElement = 11747,
  SVGDescElement = 11762,
  SVGElement = 11777,
  SVGEllipseElement = 11788,
  SVGFEBlendElement = 11806,
  SVGFEColorMatrixElement = 11824,
  SVGFEComponentTransferElement = 11848,
  SVGFECompositeElement = 11878,
  SVGFEConvolveMatrixElement = 11900,
  SVGFEDiffuseLightingElement = 11927,
  SVGFEDisplacementMapElement = 11955,
  SVGFEDistantLightElement = 11983,
  SVGFEDropShadowElement = 12008,
  SVGFEFloodElement = 12031,
  SVGFEFuncAElement = 12049,
  SVGFEFuncBElement = 12067,
  SVGFEFuncGElement = 12085,
  SVGFEFuncRElement = 12103,
  SVGFEGaussianBlurElement = 12121,
  SVGFEImageElement = 12146,
  SVGFEMergeElement = 12164,
  SVGFEMergeNodeElement = 12182,
  SVGFEMorphologyElement = 12204,
  SVGFEOffsetElement = 12227,
  SVGFEPointLightElement = 12246,
  SVGFESpecularLightingElement = 12269,
  SVGFESpotLightElement = 12298,
  SVGFETileElement = 12320,
  SVGFETurbulenceElement = 12337,
  SVGFilterElement = 12360,
  SVGForeignObjectElement = 12377,
  SVGGElement = 12401,
  SVGGeometryElement = 12413,
  SVGGradientElement = 12432,
  SVGGraphicsElement = 12451,
  SVGImageElement = 12470,
  SVGLength = 12486,
  SVGLengthList = 12496,
  SVGLineElement = 12510,
  SVGLinearGradientElement = 12525,
  SVGMPathElement = 12550,
  SVGMarkerElement = 12566,
  SVGMaskElement = 12583,
  SVGMatrix = 12598,
  SVGMetadataElement = 12608,
  SVGNumber = 12627,
  SVGNumberList = 12637,
  SVGPathElement = 12651,
  SVGPathSeg = 12666,
  SVGPathSegArcAbs = 12677,
  SVGPathSegArcRel = 12694,
  SVGPathSegClosePath = 12711,
  SVGPathSegCurvetoCubicAbs = 12731,
  SVGPathSegCurvetoCubicRel = 12757,
  SVGPathSegCurvetoCubicSmoothAbs = 12783,
  SVGPathSegCurvetoCubicSmoothRel = 12815,
  SVGPathSegCurvetoQuadraticAbs = 12847,
  SVGPathSegCurvetoQuadraticRel = 12877,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12907,
  SVGPathSegCurvetoQuadraticSmoothRel = 12943,
  SVGPathSegLinetoAbs = 12979,
  SVGPathSegLinetoHorizontalAbs = 12999,
  SVGPathSegLinetoHorizontalRel = 13029,
  SVGPathSegLinetoRel = 13059,
  SVGPathSegLinetoVerticalAbs = 13079,
  SVGPathSegLinetoVerticalRel = 13107,
  SVGPathSegList = 13135,
  SVGPathSegMovetoAbs = 13150,
  SVGPathSegMovetoRel = 13170,
  SVGPatternElement = 13190,
  SVGPoint = 13208,
  SVGPointList = 13217,
  SVGPolygonElement = 13230,
  SVGPolylineElement = 13248,
  SVGPreserveAspectRatio = 13267,
  SVGRadialGradientElement = 13290,
  SVGRect = 13315,
  SVGRectElement = 13323,
  SVGSVGElement = 13338,
  SVGScriptElement = 13352,
  SVGSetElement = 13369,
  SVGStopElement = 13383,
  SVGStringList = 13398,
  SVGStyleElement = 13412,
  SVGSwitchElement = 13428,
  SVGSymbolElement = 13445,
  SVGTSpanElement = 13462,
  SVGTextContentElement = 13478,
  SVGTextElement = 13500,
  SVGTextPathElement = 13515,
  SVGTextPositioningElement = 13534,
  SVGTitleElement = 13560,
  SVGTransform = 13576,
  SVGTransformList = 13589,
  SVGUnitTypes = 13606,
  SVGUseElement = 13619,
  SVGViewElement = 13633,
  Sanitizer = 13648,
  Scheduler = 13658,
  Screen = 13668,
  ScreenLuminance = 13675,
  ScreenOrientation = 13691,
  ScriptProcessorNode = 13709,
  ScrollAreaEvent = 13729,
  ScrollViewChangeEvent = 13745,
  SecurityPolicyViolationEvent = 13767,
  Selection = 13796,
  ServiceWorker = 13806,
  ServiceWorkerContainer = 13820,
  ServiceWorkerGlobalScope = 13843,
  ServiceWorkerRegistration = 13868,
  SessionStoreFormData = 13894,
  SessionStoreScrollData = 13915,
  SessionStoreUtils = 13938,
  ShadowRealmGlobalScope = 13956,
  ShadowRoot = 13979,
  SharedWorker = 13990,
  SharedWorkerGlobalScope = 14003,
  SimpleGestureEvent = 14027,
  SourceBuffer = 14046,
  SourceBufferList = 14059,
  SpeechGrammar = 14076,
  SpeechGrammarList = 14090,
  SpeechRecognition = 14108,
  SpeechRecognitionAlternative = 14126,
  SpeechRecognitionError = 14155,
  SpeechRecognitionEvent = 14178,
  SpeechRecognitionResult = 14201,
  SpeechRecognitionResultList = 14225,
  SpeechSynthesis = 14253,
  SpeechSynthesisErrorEvent = 14269,
  SpeechSynthesisEvent = 14295,
  SpeechSynthesisUtterance = 14316,
  SpeechSynthesisVoice = 14341,
  StaticRange = 14362,
  StereoPannerNode = 14374,
  Storage = 14391,
  StorageEvent = 14399,
  StorageManager = 14412,
  StreamFilter = 14427,
  StreamFilterDataEvent = 14440,
  StructuredCloneHolder = 14462,
  StructuredCloneTester = 14484,
  StyleSheet = 14506,
  StyleSheetApplicableStateChangeEvent = 14517,
  StyleSheetList = 14554,
  StyleSheetRemovedEvent = 14569,
  SubmitEvent = 14592,
  SubtleCrypto = 14604,
  SyncMessageSender = 14617,
  SyncReadFile = 14635,
  TCPServerSocket = 14648,
  TCPServerSocketEvent = 14664,
  TCPSocket = 14685,
  TCPSocketErrorEvent = 14695,
  TCPSocketEvent = 14715,
  TaskController = 14730,
  TaskPriorityChangeEvent = 14745,
  TaskSignal = 14769,
  TelemetryStopwatch = 14780,
  TestUtils = 14799,
  TestingDeprecatedInterface = 14809,
  Text = 14836,
  TextClause = 14841,
  TextDecoder = 14852,
  TextDecoderStream = 14864,
  TextEncoder = 14882,
  TextEncoderStream = 14894,
  TextMetrics = 14912,
  TextTrack = 14924,
  TextTrackCue = 14934,
  TextTrackCueList = 14947,
  TextTrackList = 14964,
  TimeEvent = 14978,
  TimeRanges = 14988,
  ToggleEvent = 14999,
  Touch = 15011,
  TouchEvent = 15017,
  TouchList = 15028,
  TrackEvent = 15038,
  TransformStream = 15049,
  TransformStreamDefaultController = 15065,
  TransitionEvent = 15098,
  TreeColumn = 15114,
  TreeColumns = 15125,
  TreeContentView = 15137,
  TreeWalker = 15153,
  UDPMessageEvent = 15164,
  UDPSocket = 15180,
  UIEvent = 15190,
  URL = 15198,
  URLSearchParams = 15202,
  URLSearchParams_Iterator = 15218,
  UniFFIPointer = 15243,
  UniFFIScaffolding = 15257,
  UserActivation = 15275,
  UserInteraction = 15290,
  UserProximityEvent = 15306,
  VRDisplay = 15325,
  VRDisplayCapabilities = 15335,
  VRDisplayEvent = 15357,
  VREyeParameters = 15372,
  VRFieldOfView = 15388,
  VRFrameData = 15402,
  VRMockController = 15414,
  VRMockDisplay = 15431,
  VRPose = 15445,
  VRServiceTest = 15452,
  VRStageParameters = 15466,
  VTTCue = 15484,
  VTTRegion = 15491,
  ValidityState = 15501,
  VideoColorSpace = 15515,
  VideoDecoder = 15531,
  VideoFrame = 15544,
  VideoPlaybackQuality = 15555,
  VideoTrack = 15576,
  VideoTrackList = 15587,
  VisualViewport = 15602,
  WEBGL_color_buffer_float = 15617,
  WEBGL_compressed_texture_astc = 15642,
  WEBGL_compressed_texture_etc = 15672,
  WEBGL_compressed_texture_etc1 = 15701,
  WEBGL_compressed_texture_pvrtc = 15731,
  WEBGL_compressed_texture_s3tc = 15762,
  WEBGL_compressed_texture_s3tc_srgb = 15792,
  WEBGL_debug_renderer_info = 15827,
  WEBGL_debug_shaders = 15853,
  WEBGL_depth_texture = 15873,
  WEBGL_draw_buffers = 15893,
  WEBGL_explicit_present = 15912,
  WEBGL_lose_context = 15935,
  WEBGL_provoking_vertex = 15954,
  WakeLock = 15977,
  WakeLockSentinel = 15986,
  WaveShaperNode = 16003,
  WebExtensionContentScript = 16018,
  WebExtensionPolicy = 16044,
  WebGL2RenderingContext = 16063,
  WebGLActiveInfo = 16086,
  WebGLBuffer = 16102,
  WebGLContextEvent = 16114,
  WebGLFramebuffer = 16132,
  WebGLProgram = 16149,
  WebGLQuery = 16162,
  WebGLRenderbuffer = 16173,
  WebGLRenderingContext = 16191,
  WebGLSampler = 16213,
  WebGLShader = 16226,
  WebGLShaderPrecisionFormat = 16238,
  WebGLSync = 16265,
  WebGLTexture = 16275,
  WebGLTransformFeedback = 16288,
  WebGLUniformLocation = 16311,
  WebGLVertexArrayObject = 16332,
  WebKitCSSMatrix = 16355,
  WebSocket = 16371,
  WebTransport = 16381,
  WebTransportBidirectionalStream = 16394,
  WebTransportDatagramDuplexStream = 16426,
  WebTransportError = 16459,
  WebTransportReceiveStream = 16477,
  WebTransportSendStream = 16503,
  WebrtcGlobalInformation = 16526,
  WheelEvent = 16550,
  Window = 16561,
  WindowClient = 16568,
  WindowContext = 16581,
  WindowGlobalChild = 16595,
  WindowGlobalParent = 16613,
  WindowRoot = 16632,
  Worker = 16643,
  WorkerDebuggerGlobalScope = 16650,
  WorkerGlobalScope = 16676,
  WorkerLocation = 16694,
  WorkerNavigator = 16709,
  WorkerTestUtils = 16725,
  Worklet = 16741,
  WorkletGlobalScope = 16749,
  WritableStream = 16768,
  WritableStreamDefaultController = 16783,
  WritableStreamDefaultWriter = 16815,
  XMLDocument = 16843,
  XMLHttpRequest = 16855,
  XMLHttpRequestEventTarget = 16870,
  XMLHttpRequestUpload = 16896,
  XMLSerializer = 16917,
  XPathEvaluator = 16931,
  XPathExpression = 16946,
  XPathResult = 16962,
  XRBoundedReferenceSpace = 16974,
  XRFrame = 16998,
  XRInputSource = 17006,
  XRInputSourceArray = 17020,
  XRInputSourceEvent = 17039,
  XRInputSourcesChangeEvent = 17058,
  XRPose = 17084,
  XRReferenceSpace = 17091,
  XRReferenceSpaceEvent = 17108,
  XRRenderState = 17130,
  XRRigidTransform = 17144,
  XRSession = 17161,
  XRSessionEvent = 17171,
  XRSpace = 17186,
  XRSystem = 17194,
  XRView = 17203,
  XRViewerPose = 17210,
  XRViewport = 17223,
  XRWebGLLayer = 17234,
  XSLTProcessor = 17247,
  XULCommandEvent = 17261,
  XULElement = 17277,
  XULFrameElement = 17288,
  XULMenuElement = 17304,
  XULPopupElement = 17319,
  XULResizerElement = 17335,
  XULTextElement = 17353,
  XULTreeElement = 17368,
  console = 17383,
  webkitSpeechGrammar = 17391,
  webkitSpeechGrammarList = 17411,
  webkitSpeechRecognition = 17435,
  webkitURL = 17459,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
