#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSFontPaletteValuesRule" "\0"
  /*   974 */ "CSSGroupingRule" "\0"
  /*   990 */ "CSSImportRule" "\0"
  /*  1004 */ "CSSKeyframeRule" "\0"
  /*  1020 */ "CSSKeyframesRule" "\0"
  /*  1037 */ "CSSLayerBlockRule" "\0"
  /*  1055 */ "CSSLayerStatementRule" "\0"
  /*  1077 */ "CSSMediaRule" "\0"
  /*  1090 */ "CSSMozDocumentRule" "\0"
  /*  1109 */ "CSSNamespaceRule" "\0"
  /*  1126 */ "CSSPageRule" "\0"
  /*  1138 */ "CSSPropertyRule" "\0"
  /*  1154 */ "CSSPseudoElement" "\0"
  /*  1171 */ "CSSRule" "\0"
  /*  1179 */ "CSSRuleList" "\0"
  /*  1191 */ "CSSStyleDeclaration" "\0"
  /*  1211 */ "CSSStyleRule" "\0"
  /*  1224 */ "CSSStyleSheet" "\0"
  /*  1238 */ "CSSSupportsRule" "\0"
  /*  1254 */ "CSSTransition" "\0"
  /*  1268 */ "Cache" "\0"
  /*  1274 */ "CacheStorage" "\0"
  /*  1287 */ "CallbackDebuggerNotification" "\0"
  /*  1316 */ "CanonicalBrowsingContext" "\0"
  /*  1341 */ "CanvasCaptureMediaStream" "\0"
  /*  1366 */ "CanvasGradient" "\0"
  /*  1381 */ "CanvasPattern" "\0"
  /*  1395 */ "CanvasRenderingContext2D" "\0"
  /*  1420 */ "CaretPosition" "\0"
  /*  1434 */ "CaretStateChangedEvent" "\0"
  /*  1457 */ "ChannelMergerNode" "\0"
  /*  1475 */ "ChannelSplitterNode" "\0"
  /*  1495 */ "ChannelWrapper" "\0"
  /*  1510 */ "CharacterData" "\0"
  /*  1524 */ "CheckerboardReportService" "\0"
  /*  1550 */ "ChildProcessMessageManager" "\0"
  /*  1577 */ "ChildSHistory" "\0"
  /*  1591 */ "ChromeMessageBroadcaster" "\0"
  /*  1616 */ "ChromeMessageSender" "\0"
  /*  1636 */ "ChromeNodeList" "\0"
  /*  1651 */ "ChromeUtils" "\0"
  /*  1663 */ "ChromeWorker" "\0"
  /*  1676 */ "Client" "\0"
  /*  1683 */ "Clients" "\0"
  /*  1691 */ "Clipboard" "\0"
  /*  1701 */ "ClipboardEvent" "\0"
  /*  1716 */ "ClipboardItem" "\0"
  /*  1730 */ "ClonedErrorHolder" "\0"
  /*  1748 */ "CloseEvent" "\0"
  /*  1759 */ "CommandEvent" "\0"
  /*  1772 */ "Comment" "\0"
  /*  1780 */ "CompositionEvent" "\0"
  /*  1797 */ "CompressionStream" "\0"
  /*  1815 */ "ConsoleInstance" "\0"
  /*  1831 */ "ConstantSourceNode" "\0"
  /*  1850 */ "ContentFrameMessageManager" "\0"
  /*  1877 */ "ContentProcessMessageManager" "\0"
  /*  1906 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1944 */ "ConvolverNode" "\0"
  /*  1958 */ "CountQueuingStrategy" "\0"
  /*  1979 */ "CreateOfferRequest" "\0"
  /*  1998 */ "Credential" "\0"
  /*  2009 */ "CredentialsContainer" "\0"
  /*  2030 */ "Crypto" "\0"
  /*  2037 */ "CryptoKey" "\0"
  /*  2047 */ "CustomElementRegistry" "\0"
  /*  2069 */ "CustomEvent" "\0"
  /*  2081 */ "CustomStateSet" "\0"
  /*  2096 */ "DOMException" "\0"
  /*  2109 */ "DOMImplementation" "\0"
  /*  2127 */ "DOMLocalization" "\0"
  /*  2143 */ "DOMMatrix" "\0"
  /*  2153 */ "DOMMatrixReadOnly" "\0"
  /*  2171 */ "DOMParser" "\0"
  /*  2181 */ "DOMPoint" "\0"
  /*  2190 */ "DOMPointReadOnly" "\0"
  /*  2207 */ "DOMQuad" "\0"
  /*  2215 */ "DOMRect" "\0"
  /*  2223 */ "DOMRectList" "\0"
  /*  2235 */ "DOMRectReadOnly" "\0"
  /*  2251 */ "DOMRequest" "\0"
  /*  2262 */ "DOMStringList" "\0"
  /*  2276 */ "DOMStringMap" "\0"
  /*  2289 */ "DOMTokenList" "\0"
  /*  2302 */ "DataTransfer" "\0"
  /*  2315 */ "DataTransferItem" "\0"
  /*  2332 */ "DataTransferItemList" "\0"
  /*  2353 */ "DebuggerNotification" "\0"
  /*  2374 */ "DebuggerNotificationObserver" "\0"
  /*  2403 */ "DecompressionStream" "\0"
  /*  2423 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2450 */ "DelayNode" "\0"
  /*  2460 */ "DeprecationReportBody" "\0"
  /*  2482 */ "DeviceAcceleration" "\0"
  /*  2501 */ "DeviceLightEvent" "\0"
  /*  2518 */ "DeviceMotionEvent" "\0"
  /*  2536 */ "DeviceOrientationEvent" "\0"
  /*  2559 */ "DeviceRotationRate" "\0"
  /*  2578 */ "Directory" "\0"
  /*  2588 */ "Document" "\0"
  /*  2597 */ "DocumentFragment" "\0"
  /*  2614 */ "DocumentL10n" "\0"
  /*  2627 */ "DocumentTimeline" "\0"
  /*  2644 */ "DocumentType" "\0"
  /*  2657 */ "DominatorTree" "\0"
  /*  2671 */ "DragEvent" "\0"
  /*  2681 */ "DynamicsCompressorNode" "\0"
  /*  2704 */ "EXT_blend_minmax" "\0"
  /*  2721 */ "EXT_color_buffer_float" "\0"
  /*  2744 */ "EXT_color_buffer_half_float" "\0"
  /*  2772 */ "EXT_disjoint_timer_query" "\0"
  /*  2797 */ "EXT_float_blend" "\0"
  /*  2813 */ "EXT_frag_depth" "\0"
  /*  2828 */ "EXT_sRGB" "\0"
  /*  2837 */ "EXT_shader_texture_lod" "\0"
  /*  2860 */ "EXT_texture_compression_bptc" "\0"
  /*  2889 */ "EXT_texture_compression_rgtc" "\0"
  /*  2918 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2949 */ "EXT_texture_norm16" "\0"
  /*  2968 */ "Element" "\0"
  /*  2976 */ "ElementInternals" "\0"
  /*  2993 */ "EncodedVideoChunk" "\0"
  /*  3011 */ "ErrorEvent" "\0"
  /*  3022 */ "Event" "\0"
  /*  3028 */ "EventCallbackDebuggerNotification" "\0"
  /*  3062 */ "EventCounts" "\0"
  /*  3074 */ "EventSource" "\0"
  /*  3086 */ "EventTarget" "\0"
  /*  3098 */ "Exception" "\0"
  /*  3108 */ "ExtendableEvent" "\0"
  /*  3124 */ "ExtendableMessageEvent" "\0"
  /*  3147 */ "ExtensionAlarms" "\0"
  /*  3163 */ "ExtensionBrowser" "\0"
  /*  3180 */ "ExtensionBrowserSettings" "\0"
  /*  3205 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3245 */ "ExtensionDns" "\0"
  /*  3258 */ "ExtensionEventManager" "\0"
  /*  3280 */ "ExtensionMockAPI" "\0"
  /*  3297 */ "ExtensionPort" "\0"
  /*  3311 */ "ExtensionProxy" "\0"
  /*  3326 */ "ExtensionRuntime" "\0"
  /*  3343 */ "ExtensionScripting" "\0"
  /*  3362 */ "ExtensionSetting" "\0"
  /*  3379 */ "ExtensionTest" "\0"
  /*  3393 */ "External" "\0"
  /*  3402 */ "FeaturePolicy" "\0"
  /*  3416 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3449 */ "FetchEvent" "\0"
  /*  3460 */ "FetchObserver" "\0"
  /*  3474 */ "File" "\0"
  /*  3479 */ "FileList" "\0"
  /*  3488 */ "FileReader" "\0"
  /*  3499 */ "FileReaderSync" "\0"
  /*  3514 */ "FileSystem" "\0"
  /*  3525 */ "FileSystemDirectoryEntry" "\0"
  /*  3550 */ "FileSystemDirectoryHandle" "\0"
  /*  3576 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3616 */ "FileSystemDirectoryIterator" "\0"
  /*  3644 */ "FileSystemDirectoryReader" "\0"
  /*  3670 */ "FileSystemEntry" "\0"
  /*  3686 */ "FileSystemFileEntry" "\0"
  /*  3706 */ "FileSystemFileHandle" "\0"
  /*  3727 */ "FileSystemHandle" "\0"
  /*  3744 */ "FileSystemSyncAccessHandle" "\0"
  /*  3771 */ "FileSystemWritableFileStream" "\0"
  /*  3800 */ "Flex" "\0"
  /*  3805 */ "FlexItemValues" "\0"
  /*  3820 */ "FlexLineValues" "\0"
  /*  3835 */ "FluentBundle" "\0"
  /*  3848 */ "FluentBundleAsyncIterator" "\0"
  /*  3874 */ "FluentBundleIterator" "\0"
  /*  3895 */ "FluentPattern" "\0"
  /*  3909 */ "FluentResource" "\0"
  /*  3924 */ "FocusEvent" "\0"
  /*  3935 */ "FontFace" "\0"
  /*  3944 */ "FontFaceSet" "\0"
  /*  3956 */ "FontFaceSetIterator" "\0"
  /*  3976 */ "FontFaceSetLoadEvent" "\0"
  /*  3997 */ "FormData" "\0"
  /*  4006 */ "FormData Iterator" "\0"
  /*  4024 */ "FormDataEvent" "\0"
  /*  4038 */ "FrameCrashedEvent" "\0"
  /*  4056 */ "FrameLoader" "\0"
  /*  4068 */ "GPU" "\0"
  /*  4072 */ "GPUAdapter" "\0"
  /*  4083 */ "GPUAdapterInfo" "\0"
  /*  4098 */ "GPUBindGroup" "\0"
  /*  4111 */ "GPUBindGroupLayout" "\0"
  /*  4130 */ "GPUBuffer" "\0"
  /*  4140 */ "GPUBufferUsage" "\0"
  /*  4155 */ "GPUCanvasContext" "\0"
  /*  4172 */ "GPUColorWrite" "\0"
  /*  4186 */ "GPUCommandBuffer" "\0"
  /*  4203 */ "GPUCommandEncoder" "\0"
  /*  4221 */ "GPUCompilationInfo" "\0"
  /*  4240 */ "GPUCompilationMessage" "\0"
  /*  4262 */ "GPUComputePassEncoder" "\0"
  /*  4284 */ "GPUComputePipeline" "\0"
  /*  4303 */ "GPUDevice" "\0"
  /*  4313 */ "GPUDeviceLostInfo" "\0"
  /*  4331 */ "GPUError" "\0"
  /*  4340 */ "GPUInternalError" "\0"
  /*  4357 */ "GPUMapMode" "\0"
  /*  4368 */ "GPUOutOfMemoryError" "\0"
  /*  4388 */ "GPUPipelineLayout" "\0"
  /*  4406 */ "GPUQuerySet" "\0"
  /*  4418 */ "GPUQueue" "\0"
  /*  4427 */ "GPURenderBundle" "\0"
  /*  4443 */ "GPURenderBundleEncoder" "\0"
  /*  4466 */ "GPURenderPassEncoder" "\0"
  /*  4487 */ "GPURenderPipeline" "\0"
  /*  4505 */ "GPUSampler" "\0"
  /*  4516 */ "GPUShaderModule" "\0"
  /*  4532 */ "GPUShaderStage" "\0"
  /*  4547 */ "GPUSupportedFeatures" "\0"
  /*  4568 */ "GPUSupportedLimits" "\0"
  /*  4587 */ "GPUTexture" "\0"
  /*  4598 */ "GPUTextureUsage" "\0"
  /*  4614 */ "GPUTextureView" "\0"
  /*  4629 */ "GPUUncapturedErrorEvent" "\0"
  /*  4653 */ "GPUValidationError" "\0"
  /*  4672 */ "GainNode" "\0"
  /*  4681 */ "Gamepad" "\0"
  /*  4689 */ "GamepadAxisMoveEvent" "\0"
  /*  4710 */ "GamepadButton" "\0"
  /*  4724 */ "GamepadButtonEvent" "\0"
  /*  4743 */ "GamepadEvent" "\0"
  /*  4756 */ "GamepadHapticActuator" "\0"
  /*  4778 */ "GamepadLightIndicator" "\0"
  /*  4800 */ "GamepadPose" "\0"
  /*  4812 */ "GamepadServiceTest" "\0"
  /*  4831 */ "GamepadTouch" "\0"
  /*  4844 */ "Geolocation" "\0"
  /*  4856 */ "GeolocationCoordinates" "\0"
  /*  4879 */ "GeolocationPosition" "\0"
  /*  4899 */ "GeolocationPositionError" "\0"
  /*  4924 */ "GetUserMediaRequest" "\0"
  /*  4944 */ "GleanBoolean" "\0"
  /*  4957 */ "GleanCategory" "\0"
  /*  4971 */ "GleanCounter" "\0"
  /*  4984 */ "GleanCustomDistribution" "\0"
  /*  5008 */ "GleanDatetime" "\0"
  /*  5022 */ "GleanDenominator" "\0"
  /*  5039 */ "GleanEvent" "\0"
  /*  5050 */ "GleanImpl" "\0"
  /*  5060 */ "GleanLabeled" "\0"
  /*  5073 */ "GleanMemoryDistribution" "\0"
  /*  5097 */ "GleanMetric" "\0"
  /*  5109 */ "GleanNumerator" "\0"
  /*  5124 */ "GleanPingsImpl" "\0"
  /*  5139 */ "GleanQuantity" "\0"
  /*  5153 */ "GleanRate" "\0"
  /*  5163 */ "GleanString" "\0"
  /*  5175 */ "GleanStringList" "\0"
  /*  5191 */ "GleanText" "\0"
  /*  5201 */ "GleanTimespan" "\0"
  /*  5215 */ "GleanTimingDistribution" "\0"
  /*  5239 */ "GleanUrl" "\0"
  /*  5248 */ "GleanUuid" "\0"
  /*  5258 */ "Grid" "\0"
  /*  5263 */ "GridArea" "\0"
  /*  5272 */ "GridDimension" "\0"
  /*  5286 */ "GridLine" "\0"
  /*  5295 */ "GridLines" "\0"
  /*  5305 */ "GridTrack" "\0"
  /*  5315 */ "GridTracks" "\0"
  /*  5326 */ "HTMLAllCollection" "\0"
  /*  5344 */ "HTMLAnchorElement" "\0"
  /*  5362 */ "HTMLAreaElement" "\0"
  /*  5378 */ "HTMLAudioElement" "\0"
  /*  5395 */ "HTMLBRElement" "\0"
  /*  5409 */ "HTMLBaseElement" "\0"
  /*  5425 */ "HTMLBodyElement" "\0"
  /*  5441 */ "HTMLButtonElement" "\0"
  /*  5459 */ "HTMLCanvasElement" "\0"
  /*  5477 */ "HTMLCollection" "\0"
  /*  5492 */ "HTMLDListElement" "\0"
  /*  5509 */ "HTMLDataElement" "\0"
  /*  5525 */ "HTMLDataListElement" "\0"
  /*  5545 */ "HTMLDetailsElement" "\0"
  /*  5564 */ "HTMLDialogElement" "\0"
  /*  5582 */ "HTMLDirectoryElement" "\0"
  /*  5603 */ "HTMLDivElement" "\0"
  /*  5618 */ "HTMLDocument" "\0"
  /*  5631 */ "HTMLElement" "\0"
  /*  5643 */ "HTMLEmbedElement" "\0"
  /*  5660 */ "HTMLFieldSetElement" "\0"
  /*  5680 */ "HTMLFontElement" "\0"
  /*  5696 */ "HTMLFormControlsCollection" "\0"
  /*  5723 */ "HTMLFormElement" "\0"
  /*  5739 */ "HTMLFrameElement" "\0"
  /*  5756 */ "HTMLFrameSetElement" "\0"
  /*  5776 */ "HTMLHRElement" "\0"
  /*  5790 */ "HTMLHeadElement" "\0"
  /*  5806 */ "HTMLHeadingElement" "\0"
  /*  5825 */ "HTMLHtmlElement" "\0"
  /*  5841 */ "HTMLIFrameElement" "\0"
  /*  5859 */ "HTMLImageElement" "\0"
  /*  5876 */ "HTMLInputElement" "\0"
  /*  5893 */ "HTMLLIElement" "\0"
  /*  5907 */ "HTMLLabelElement" "\0"
  /*  5924 */ "HTMLLegendElement" "\0"
  /*  5942 */ "HTMLLinkElement" "\0"
  /*  5958 */ "HTMLMapElement" "\0"
  /*  5973 */ "HTMLMarqueeElement" "\0"
  /*  5992 */ "HTMLMediaElement" "\0"
  /*  6009 */ "HTMLMenuElement" "\0"
  /*  6025 */ "HTMLMetaElement" "\0"
  /*  6041 */ "HTMLMeterElement" "\0"
  /*  6058 */ "HTMLModElement" "\0"
  /*  6073 */ "HTMLOListElement" "\0"
  /*  6090 */ "HTMLObjectElement" "\0"
  /*  6108 */ "HTMLOptGroupElement" "\0"
  /*  6128 */ "HTMLOptionElement" "\0"
  /*  6146 */ "HTMLOptionsCollection" "\0"
  /*  6168 */ "HTMLOutputElement" "\0"
  /*  6186 */ "HTMLParagraphElement" "\0"
  /*  6207 */ "HTMLParamElement" "\0"
  /*  6224 */ "HTMLPictureElement" "\0"
  /*  6243 */ "HTMLPreElement" "\0"
  /*  6258 */ "HTMLProgressElement" "\0"
  /*  6278 */ "HTMLQuoteElement" "\0"
  /*  6295 */ "HTMLScriptElement" "\0"
  /*  6313 */ "HTMLSelectElement" "\0"
  /*  6331 */ "HTMLSlotElement" "\0"
  /*  6347 */ "HTMLSourceElement" "\0"
  /*  6365 */ "HTMLSpanElement" "\0"
  /*  6381 */ "HTMLStyleElement" "\0"
  /*  6398 */ "HTMLTableCaptionElement" "\0"
  /*  6422 */ "HTMLTableCellElement" "\0"
  /*  6443 */ "HTMLTableColElement" "\0"
  /*  6463 */ "HTMLTableElement" "\0"
  /*  6480 */ "HTMLTableRowElement" "\0"
  /*  6500 */ "HTMLTableSectionElement" "\0"
  /*  6524 */ "HTMLTemplateElement" "\0"
  /*  6544 */ "HTMLTextAreaElement" "\0"
  /*  6564 */ "HTMLTimeElement" "\0"
  /*  6580 */ "HTMLTitleElement" "\0"
  /*  6597 */ "HTMLTrackElement" "\0"
  /*  6614 */ "HTMLUListElement" "\0"
  /*  6631 */ "HTMLUnknownElement" "\0"
  /*  6650 */ "HTMLVideoElement" "\0"
  /*  6667 */ "HashChangeEvent" "\0"
  /*  6683 */ "Headers" "\0"
  /*  6691 */ "Headers Iterator" "\0"
  /*  6708 */ "HeapSnapshot" "\0"
  /*  6721 */ "Highlight" "\0"
  /*  6731 */ "HighlightRegistry" "\0"
  /*  6749 */ "History" "\0"
  /*  6757 */ "IDBCursor" "\0"
  /*  6767 */ "IDBCursorWithValue" "\0"
  /*  6786 */ "IDBDatabase" "\0"
  /*  6798 */ "IDBFactory" "\0"
  /*  6809 */ "IDBIndex" "\0"
  /*  6818 */ "IDBKeyRange" "\0"
  /*  6830 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6853 */ "IDBObjectStore" "\0"
  /*  6868 */ "IDBOpenDBRequest" "\0"
  /*  6885 */ "IDBRequest" "\0"
  /*  6896 */ "IDBTransaction" "\0"
  /*  6911 */ "IDBVersionChangeEvent" "\0"
  /*  6933 */ "IIRFilterNode" "\0"
  /*  6947 */ "IOUtils" "\0"
  /*  6955 */ "IdentityCredential" "\0"
  /*  6974 */ "IdleDeadline" "\0"
  /*  6987 */ "Image" "\0"
  /*  6993 */ "ImageBitmap" "\0"
  /*  7005 */ "ImageBitmapRenderingContext" "\0"
  /*  7033 */ "ImageCapture" "\0"
  /*  7046 */ "ImageCaptureError" "\0"
  /*  7064 */ "ImageCaptureErrorEvent" "\0"
  /*  7087 */ "ImageData" "\0"
  /*  7097 */ "ImageDocument" "\0"
  /*  7111 */ "InputEvent" "\0"
  /*  7122 */ "InspectorFontFace" "\0"
  /*  7140 */ "InspectorUtils" "\0"
  /*  7155 */ "InstallTriggerImpl" "\0"
  /*  7174 */ "IntersectionObserver" "\0"
  /*  7195 */ "IntersectionObserverEntry" "\0"
  /*  7221 */ "IntlUtils" "\0"
  /*  7231 */ "InvokeEvent" "\0"
  /*  7243 */ "JSProcessActorChild" "\0"
  /*  7263 */ "JSProcessActorParent" "\0"
  /*  7284 */ "JSWindowActorChild" "\0"
  /*  7303 */ "JSWindowActorParent" "\0"
  /*  7323 */ "KeyEvent" "\0"
  /*  7332 */ "KeyboardEvent" "\0"
  /*  7346 */ "KeyframeEffect" "\0"
  /*  7361 */ "L10nFileSource" "\0"
  /*  7376 */ "L10nOverlays" "\0"
  /*  7389 */ "L10nRegistry" "\0"
  /*  7402 */ "LargestContentfulPaint" "\0"
  /*  7425 */ "LegacyMozTCPSocket" "\0"
  /*  7444 */ "Localization" "\0"
  /*  7457 */ "Location" "\0"
  /*  7466 */ "Lock" "\0"
  /*  7471 */ "LockManager" "\0"
  /*  7483 */ "MIDIAccess" "\0"
  /*  7494 */ "MIDIConnectionEvent" "\0"
  /*  7514 */ "MIDIInput" "\0"
  /*  7524 */ "MIDIInputMap" "\0"
  /*  7537 */ "MIDIMessageEvent" "\0"
  /*  7554 */ "MIDIOutput" "\0"
  /*  7565 */ "MIDIOutputMap" "\0"
  /*  7579 */ "MIDIPort" "\0"
  /*  7588 */ "MOZ_debug" "\0"
  /*  7598 */ "MatchGlob" "\0"
  /*  7608 */ "MatchPattern" "\0"
  /*  7621 */ "MatchPatternSet" "\0"
  /*  7637 */ "MathMLElement" "\0"
  /*  7651 */ "MediaCapabilities" "\0"
  /*  7669 */ "MediaCapabilitiesInfo" "\0"
  /*  7691 */ "MediaControlService" "\0"
  /*  7711 */ "MediaController" "\0"
  /*  7727 */ "MediaDeviceInfo" "\0"
  /*  7743 */ "MediaDevices" "\0"
  /*  7756 */ "MediaElementAudioSourceNode" "\0"
  /*  7784 */ "MediaEncryptedEvent" "\0"
  /*  7804 */ "MediaError" "\0"
  /*  7815 */ "MediaKeyError" "\0"
  /*  7829 */ "MediaKeyMessageEvent" "\0"
  /*  7850 */ "MediaKeySession" "\0"
  /*  7866 */ "MediaKeyStatusMap" "\0"
  /*  7884 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7911 */ "MediaKeySystemAccess" "\0"
  /*  7932 */ "MediaKeys" "\0"
  /*  7942 */ "MediaList" "\0"
  /*  7952 */ "MediaMetadata" "\0"
  /*  7966 */ "MediaQueryList" "\0"
  /*  7981 */ "MediaQueryListEvent" "\0"
  /*  8001 */ "MediaRecorder" "\0"
  /*  8015 */ "MediaRecorderErrorEvent" "\0"
  /*  8039 */ "MediaSession" "\0"
  /*  8052 */ "MediaSource" "\0"
  /*  8064 */ "MediaStream" "\0"
  /*  8076 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8108 */ "MediaStreamAudioSourceNode" "\0"
  /*  8135 */ "MediaStreamError" "\0"
  /*  8152 */ "MediaStreamEvent" "\0"
  /*  8169 */ "MediaStreamTrack" "\0"
  /*  8186 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8218 */ "MediaStreamTrackEvent" "\0"
  /*  8240 */ "MerchantValidationEvent" "\0"
  /*  8264 */ "MessageBroadcaster" "\0"
  /*  8283 */ "MessageChannel" "\0"
  /*  8298 */ "MessageEvent" "\0"
  /*  8311 */ "MessageListenerManager" "\0"
  /*  8334 */ "MessagePort" "\0"
  /*  8346 */ "MessageSender" "\0"
  /*  8360 */ "MimeType" "\0"
  /*  8369 */ "MimeTypeArray" "\0"
  /*  8383 */ "MouseEvent" "\0"
  /*  8394 */ "MouseScrollEvent" "\0"
  /*  8411 */ "MozCanvasPrintState" "\0"
  /*  8431 */ "MozDocumentMatcher" "\0"
  /*  8450 */ "MozDocumentObserver" "\0"
  /*  8470 */ "MozQueryInterface" "\0"
  /*  8488 */ "MozSharedMap" "\0"
  /*  8501 */ "MozSharedMap Iterator" "\0"
  /*  8523 */ "MozSharedMapChangeEvent" "\0"
  /*  8547 */ "MozStorageAsyncStatementParams" "\0"
  /*  8578 */ "MozStorageStatementParams" "\0"
  /*  8604 */ "MozStorageStatementRow" "\0"
  /*  8627 */ "MozWritableSharedMap" "\0"
  /*  8648 */ "MutationEvent" "\0"
  /*  8662 */ "MutationObserver" "\0"
  /*  8679 */ "MutationRecord" "\0"
  /*  8694 */ "NamedNodeMap" "\0"
  /*  8707 */ "NavigationPreloadManager" "\0"
  /*  8732 */ "Navigator" "\0"
  /*  8742 */ "NetworkInformation" "\0"
  /*  8761 */ "Node" "\0"
  /*  8766 */ "NodeFilter" "\0"
  /*  8777 */ "NodeIterator" "\0"
  /*  8790 */ "NodeList" "\0"
  /*  8799 */ "Notification" "\0"
  /*  8812 */ "NotificationEvent" "\0"
  /*  8830 */ "NotifyPaintEvent" "\0"
  /*  8847 */ "OES_draw_buffers_indexed" "\0"
  /*  8872 */ "OES_element_index_uint" "\0"
  /*  8895 */ "OES_fbo_render_mipmap" "\0"
  /*  8917 */ "OES_standard_derivatives" "\0"
  /*  8942 */ "OES_texture_float" "\0"
  /*  8960 */ "OES_texture_float_linear" "\0"
  /*  8985 */ "OES_texture_half_float" "\0"
  /*  9008 */ "OES_texture_half_float_linear" "\0"
  /*  9038 */ "OES_vertex_array_object" "\0"
  /*  9062 */ "OVR_multiview2" "\0"
  /*  9077 */ "OfflineAudioCompletionEvent" "\0"
  /*  9105 */ "OfflineAudioContext" "\0"
  /*  9125 */ "OffscreenCanvas" "\0"
  /*  9141 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9175 */ "Option" "\0"
  /*  9182 */ "OscillatorNode" "\0"
  /*  9197 */ "PageTransitionEvent" "\0"
  /*  9217 */ "PaintRequest" "\0"
  /*  9230 */ "PaintRequestList" "\0"
  /*  9247 */ "PaintWorkletGlobalScope" "\0"
  /*  9271 */ "PannerNode" "\0"
  /*  9282 */ "ParentProcessMessageManager" "\0"
  /*  9310 */ "Path2D" "\0"
  /*  9317 */ "PathUtils" "\0"
  /*  9327 */ "PaymentAddress" "\0"
  /*  9342 */ "PaymentMethodChangeEvent" "\0"
  /*  9367 */ "PaymentRequest" "\0"
  /*  9382 */ "PaymentRequestUpdateEvent" "\0"
  /*  9408 */ "PaymentResponse" "\0"
  /*  9424 */ "PeerConnectionImpl" "\0"
  /*  9443 */ "PeerConnectionObserver" "\0"
  /*  9466 */ "Performance" "\0"
  /*  9478 */ "PerformanceEntry" "\0"
  /*  9495 */ "PerformanceEntryEvent" "\0"
  /*  9517 */ "PerformanceEventTiming" "\0"
  /*  9540 */ "PerformanceMark" "\0"
  /*  9556 */ "PerformanceMeasure" "\0"
  /*  9575 */ "PerformanceNavigation" "\0"
  /*  9597 */ "PerformanceNavigationTiming" "\0"
  /*  9625 */ "PerformanceObserver" "\0"
  /*  9645 */ "PerformanceObserverEntryList" "\0"
  /*  9674 */ "PerformancePaintTiming" "\0"
  /*  9697 */ "PerformanceResourceTiming" "\0"
  /*  9723 */ "PerformanceServerTiming" "\0"
  /*  9747 */ "PerformanceTiming" "\0"
  /*  9765 */ "PeriodicWave" "\0"
  /*  9778 */ "PermissionStatus" "\0"
  /*  9795 */ "Permissions" "\0"
  /*  9807 */ "PlacesBookmark" "\0"
  /*  9822 */ "PlacesBookmarkAddition" "\0"
  /*  9845 */ "PlacesBookmarkChanged" "\0"
  /*  9867 */ "PlacesBookmarkGuid" "\0"
  /*  9886 */ "PlacesBookmarkKeyword" "\0"
  /*  9908 */ "PlacesBookmarkMoved" "\0"
  /*  9928 */ "PlacesBookmarkRemoved" "\0"
  /*  9950 */ "PlacesBookmarkTags" "\0"
  /*  9969 */ "PlacesBookmarkTime" "\0"
  /*  9988 */ "PlacesBookmarkTitle" "\0"
  /* 10008 */ "PlacesBookmarkUrl" "\0"
  /* 10026 */ "PlacesEvent" "\0"
  /* 10038 */ "PlacesFavicon" "\0"
  /* 10052 */ "PlacesHistoryCleared" "\0"
  /* 10073 */ "PlacesObservers" "\0"
  /* 10089 */ "PlacesPurgeCaches" "\0"
  /* 10107 */ "PlacesRanking" "\0"
  /* 10121 */ "PlacesVisit" "\0"
  /* 10133 */ "PlacesVisitRemoved" "\0"
  /* 10152 */ "PlacesVisitTitle" "\0"
  /* 10169 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10195 */ "Plugin" "\0"
  /* 10202 */ "PluginArray" "\0"
  /* 10214 */ "PluginCrashedEvent" "\0"
  /* 10233 */ "PointerEvent" "\0"
  /* 10246 */ "PopStateEvent" "\0"
  /* 10260 */ "PopupBlockedEvent" "\0"
  /* 10278 */ "PopupPositionedEvent" "\0"
  /* 10299 */ "PositionStateEvent" "\0"
  /* 10318 */ "PrecompiledScript" "\0"
  /* 10336 */ "ProcessMessageManager" "\0"
  /* 10358 */ "ProcessingInstruction" "\0"
  /* 10380 */ "ProgressEvent" "\0"
  /* 10394 */ "PromiseDebugging" "\0"
  /* 10411 */ "PromiseNativeHandler" "\0"
  /* 10432 */ "PromiseRejectionEvent" "\0"
  /* 10454 */ "PublicKeyCredential" "\0"
  /* 10474 */ "PushEvent" "\0"
  /* 10484 */ "PushManager" "\0"
  /* 10496 */ "PushManagerImpl" "\0"
  /* 10512 */ "PushMessageData" "\0"
  /* 10528 */ "PushSubscription" "\0"
  /* 10545 */ "PushSubscriptionOptions" "\0"
  /* 10569 */ "RTCCertificate" "\0"
  /* 10584 */ "RTCDTMFSender" "\0"
  /* 10598 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10621 */ "RTCDataChannel" "\0"
  /* 10636 */ "RTCDataChannelEvent" "\0"
  /* 10656 */ "RTCDtlsTransport" "\0"
  /* 10673 */ "RTCEncodedAudioFrame" "\0"
  /* 10694 */ "RTCEncodedVideoFrame" "\0"
  /* 10715 */ "RTCIceCandidate" "\0"
  /* 10731 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10760 */ "RTCPeerConnection" "\0"
  /* 10778 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10804 */ "RTCPeerConnectionStatic" "\0"
  /* 10828 */ "RTCRtpReceiver" "\0"
  /* 10843 */ "RTCRtpScriptTransform" "\0"
  /* 10865 */ "RTCRtpScriptTransformer" "\0"
  /* 10889 */ "RTCRtpSender" "\0"
  /* 10902 */ "RTCRtpTransceiver" "\0"
  /* 10920 */ "RTCSctpTransport" "\0"
  /* 10937 */ "RTCSessionDescription" "\0"
  /* 10959 */ "RTCStatsReport" "\0"
  /* 10974 */ "RTCTrackEvent" "\0"
  /* 10988 */ "RTCTransformEvent" "\0"
  /* 11006 */ "RadioNodeList" "\0"
  /* 11020 */ "Range" "\0"
  /* 11026 */ "ReadableByteStreamController" "\0"
  /* 11055 */ "ReadableStream" "\0"
  /* 11070 */ "ReadableStream AsyncIterator" "\0"
  /* 11099 */ "ReadableStreamBYOBReader" "\0"
  /* 11124 */ "ReadableStreamBYOBRequest" "\0"
  /* 11150 */ "ReadableStreamDefaultController" "\0"
  /* 11182 */ "ReadableStreamDefaultReader" "\0"
  /* 11210 */ "Report" "\0"
  /* 11217 */ "ReportBody" "\0"
  /* 11228 */ "ReportingObserver" "\0"
  /* 11246 */ "Request" "\0"
  /* 11254 */ "ResizeObserver" "\0"
  /* 11269 */ "ResizeObserverEntry" "\0"
  /* 11289 */ "ResizeObserverSize" "\0"
  /* 11308 */ "Response" "\0"
  /* 11317 */ "SVGAElement" "\0"
  /* 11329 */ "SVGAngle" "\0"
  /* 11338 */ "SVGAnimateElement" "\0"
  /* 11356 */ "SVGAnimateMotionElement" "\0"
  /* 11380 */ "SVGAnimateTransformElement" "\0"
  /* 11407 */ "SVGAnimatedAngle" "\0"
  /* 11424 */ "SVGAnimatedBoolean" "\0"
  /* 11443 */ "SVGAnimatedEnumeration" "\0"
  /* 11466 */ "SVGAnimatedInteger" "\0"
  /* 11485 */ "SVGAnimatedLength" "\0"
  /* 11503 */ "SVGAnimatedLengthList" "\0"
  /* 11525 */ "SVGAnimatedNumber" "\0"
  /* 11543 */ "SVGAnimatedNumberList" "\0"
  /* 11565 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11596 */ "SVGAnimatedRect" "\0"
  /* 11612 */ "SVGAnimatedString" "\0"
  /* 11630 */ "SVGAnimatedTransformList" "\0"
  /* 11655 */ "SVGAnimationElement" "\0"
  /* 11675 */ "SVGCircleElement" "\0"
  /* 11692 */ "SVGClipPathElement" "\0"
  /* 11711 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11747 */ "SVGDefsElement" "\0"
  /* 11762 */ "SVGDescElement" "\0"
  /* 11777 */ "SVGElement" "\0"
  /* 11788 */ "SVGEllipseElement" "\0"
  /* 11806 */ "SVGFEBlendElement" "\0"
  /* 11824 */ "SVGFEColorMatrixElement" "\0"
  /* 11848 */ "SVGFEComponentTransferElement" "\0"
  /* 11878 */ "SVGFECompositeElement" "\0"
  /* 11900 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11927 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11955 */ "SVGFEDisplacementMapElement" "\0"
  /* 11983 */ "SVGFEDistantLightElement" "\0"
  /* 12008 */ "SVGFEDropShadowElement" "\0"
  /* 12031 */ "SVGFEFloodElement" "\0"
  /* 12049 */ "SVGFEFuncAElement" "\0"
  /* 12067 */ "SVGFEFuncBElement" "\0"
  /* 12085 */ "SVGFEFuncGElement" "\0"
  /* 12103 */ "SVGFEFuncRElement" "\0"
  /* 12121 */ "SVGFEGaussianBlurElement" "\0"
  /* 12146 */ "SVGFEImageElement" "\0"
  /* 12164 */ "SVGFEMergeElement" "\0"
  /* 12182 */ "SVGFEMergeNodeElement" "\0"
  /* 12204 */ "SVGFEMorphologyElement" "\0"
  /* 12227 */ "SVGFEOffsetElement" "\0"
  /* 12246 */ "SVGFEPointLightElement" "\0"
  /* 12269 */ "SVGFESpecularLightingElement" "\0"
  /* 12298 */ "SVGFESpotLightElement" "\0"
  /* 12320 */ "SVGFETileElement" "\0"
  /* 12337 */ "SVGFETurbulenceElement" "\0"
  /* 12360 */ "SVGFilterElement" "\0"
  /* 12377 */ "SVGForeignObjectElement" "\0"
  /* 12401 */ "SVGGElement" "\0"
  /* 12413 */ "SVGGeometryElement" "\0"
  /* 12432 */ "SVGGradientElement" "\0"
  /* 12451 */ "SVGGraphicsElement" "\0"
  /* 12470 */ "SVGImageElement" "\0"
  /* 12486 */ "SVGLength" "\0"
  /* 12496 */ "SVGLengthList" "\0"
  /* 12510 */ "SVGLineElement" "\0"
  /* 12525 */ "SVGLinearGradientElement" "\0"
  /* 12550 */ "SVGMPathElement" "\0"
  /* 12566 */ "SVGMarkerElement" "\0"
  /* 12583 */ "SVGMaskElement" "\0"
  /* 12598 */ "SVGMatrix" "\0"
  /* 12608 */ "SVGMetadataElement" "\0"
  /* 12627 */ "SVGNumber" "\0"
  /* 12637 */ "SVGNumberList" "\0"
  /* 12651 */ "SVGPathElement" "\0"
  /* 12666 */ "SVGPathSeg" "\0"
  /* 12677 */ "SVGPathSegArcAbs" "\0"
  /* 12694 */ "SVGPathSegArcRel" "\0"
  /* 12711 */ "SVGPathSegClosePath" "\0"
  /* 12731 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12757 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12783 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12815 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12847 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12877 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12907 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12943 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12979 */ "SVGPathSegLinetoAbs" "\0"
  /* 12999 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 13029 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 13059 */ "SVGPathSegLinetoRel" "\0"
  /* 13079 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 13107 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 13135 */ "SVGPathSegList" "\0"
  /* 13150 */ "SVGPathSegMovetoAbs" "\0"
  /* 13170 */ "SVGPathSegMovetoRel" "\0"
  /* 13190 */ "SVGPatternElement" "\0"
  /* 13208 */ "SVGPoint" "\0"
  /* 13217 */ "SVGPointList" "\0"
  /* 13230 */ "SVGPolygonElement" "\0"
  /* 13248 */ "SVGPolylineElement" "\0"
  /* 13267 */ "SVGPreserveAspectRatio" "\0"
  /* 13290 */ "SVGRadialGradientElement" "\0"
  /* 13315 */ "SVGRect" "\0"
  /* 13323 */ "SVGRectElement" "\0"
  /* 13338 */ "SVGSVGElement" "\0"
  /* 13352 */ "SVGScriptElement" "\0"
  /* 13369 */ "SVGSetElement" "\0"
  /* 13383 */ "SVGStopElement" "\0"
  /* 13398 */ "SVGStringList" "\0"
  /* 13412 */ "SVGStyleElement" "\0"
  /* 13428 */ "SVGSwitchElement" "\0"
  /* 13445 */ "SVGSymbolElement" "\0"
  /* 13462 */ "SVGTSpanElement" "\0"
  /* 13478 */ "SVGTextContentElement" "\0"
  /* 13500 */ "SVGTextElement" "\0"
  /* 13515 */ "SVGTextPathElement" "\0"
  /* 13534 */ "SVGTextPositioningElement" "\0"
  /* 13560 */ "SVGTitleElement" "\0"
  /* 13576 */ "SVGTransform" "\0"
  /* 13589 */ "SVGTransformList" "\0"
  /* 13606 */ "SVGUnitTypes" "\0"
  /* 13619 */ "SVGUseElement" "\0"
  /* 13633 */ "SVGViewElement" "\0"
  /* 13648 */ "Sanitizer" "\0"
  /* 13658 */ "Scheduler" "\0"
  /* 13668 */ "Screen" "\0"
  /* 13675 */ "ScreenLuminance" "\0"
  /* 13691 */ "ScreenOrientation" "\0"
  /* 13709 */ "ScriptProcessorNode" "\0"
  /* 13729 */ "ScrollAreaEvent" "\0"
  /* 13745 */ "ScrollViewChangeEvent" "\0"
  /* 13767 */ "SecurityPolicyViolationEvent" "\0"
  /* 13796 */ "Selection" "\0"
  /* 13806 */ "ServiceWorker" "\0"
  /* 13820 */ "ServiceWorkerContainer" "\0"
  /* 13843 */ "ServiceWorkerGlobalScope" "\0"
  /* 13868 */ "ServiceWorkerRegistration" "\0"
  /* 13894 */ "SessionStoreFormData" "\0"
  /* 13915 */ "SessionStoreScrollData" "\0"
  /* 13938 */ "SessionStoreUtils" "\0"
  /* 13956 */ "ShadowRealmGlobalScope" "\0"
  /* 13979 */ "ShadowRoot" "\0"
  /* 13990 */ "SharedWorker" "\0"
  /* 14003 */ "SharedWorkerGlobalScope" "\0"
  /* 14027 */ "SimpleGestureEvent" "\0"
  /* 14046 */ "SourceBuffer" "\0"
  /* 14059 */ "SourceBufferList" "\0"
  /* 14076 */ "SpeechGrammar" "\0"
  /* 14090 */ "SpeechGrammarList" "\0"
  /* 14108 */ "SpeechRecognition" "\0"
  /* 14126 */ "SpeechRecognitionAlternative" "\0"
  /* 14155 */ "SpeechRecognitionError" "\0"
  /* 14178 */ "SpeechRecognitionEvent" "\0"
  /* 14201 */ "SpeechRecognitionResult" "\0"
  /* 14225 */ "SpeechRecognitionResultList" "\0"
  /* 14253 */ "SpeechSynthesis" "\0"
  /* 14269 */ "SpeechSynthesisErrorEvent" "\0"
  /* 14295 */ "SpeechSynthesisEvent" "\0"
  /* 14316 */ "SpeechSynthesisUtterance" "\0"
  /* 14341 */ "SpeechSynthesisVoice" "\0"
  /* 14362 */ "StaticRange" "\0"
  /* 14374 */ "StereoPannerNode" "\0"
  /* 14391 */ "Storage" "\0"
  /* 14399 */ "StorageEvent" "\0"
  /* 14412 */ "StorageManager" "\0"
  /* 14427 */ "StreamFilter" "\0"
  /* 14440 */ "StreamFilterDataEvent" "\0"
  /* 14462 */ "StructuredCloneHolder" "\0"
  /* 14484 */ "StructuredCloneTester" "\0"
  /* 14506 */ "StyleSheet" "\0"
  /* 14517 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14554 */ "StyleSheetList" "\0"
  /* 14569 */ "StyleSheetRemovedEvent" "\0"
  /* 14592 */ "SubmitEvent" "\0"
  /* 14604 */ "SubtleCrypto" "\0"
  /* 14617 */ "SyncMessageSender" "\0"
  /* 14635 */ "SyncReadFile" "\0"
  /* 14648 */ "TCPServerSocket" "\0"
  /* 14664 */ "TCPServerSocketEvent" "\0"
  /* 14685 */ "TCPSocket" "\0"
  /* 14695 */ "TCPSocketErrorEvent" "\0"
  /* 14715 */ "TCPSocketEvent" "\0"
  /* 14730 */ "TaskController" "\0"
  /* 14745 */ "TaskPriorityChangeEvent" "\0"
  /* 14769 */ "TaskSignal" "\0"
  /* 14780 */ "TelemetryStopwatch" "\0"
  /* 14799 */ "TestUtils" "\0"
  /* 14809 */ "TestingDeprecatedInterface" "\0"
  /* 14836 */ "Text" "\0"
  /* 14841 */ "TextClause" "\0"
  /* 14852 */ "TextDecoder" "\0"
  /* 14864 */ "TextDecoderStream" "\0"
  /* 14882 */ "TextEncoder" "\0"
  /* 14894 */ "TextEncoderStream" "\0"
  /* 14912 */ "TextMetrics" "\0"
  /* 14924 */ "TextTrack" "\0"
  /* 14934 */ "TextTrackCue" "\0"
  /* 14947 */ "TextTrackCueList" "\0"
  /* 14964 */ "TextTrackList" "\0"
  /* 14978 */ "TimeEvent" "\0"
  /* 14988 */ "TimeRanges" "\0"
  /* 14999 */ "ToggleEvent" "\0"
  /* 15011 */ "Touch" "\0"
  /* 15017 */ "TouchEvent" "\0"
  /* 15028 */ "TouchList" "\0"
  /* 15038 */ "TrackEvent" "\0"
  /* 15049 */ "TransformStream" "\0"
  /* 15065 */ "TransformStreamDefaultController" "\0"
  /* 15098 */ "TransitionEvent" "\0"
  /* 15114 */ "TreeColumn" "\0"
  /* 15125 */ "TreeColumns" "\0"
  /* 15137 */ "TreeContentView" "\0"
  /* 15153 */ "TreeWalker" "\0"
  /* 15164 */ "UDPMessageEvent" "\0"
  /* 15180 */ "UDPSocket" "\0"
  /* 15190 */ "UIEvent" "\0"
  /* 15198 */ "URL" "\0"
  /* 15202 */ "URLSearchParams" "\0"
  /* 15218 */ "URLSearchParams Iterator" "\0"
  /* 15243 */ "UniFFIPointer" "\0"
  /* 15257 */ "UniFFIScaffolding" "\0"
  /* 15275 */ "UserActivation" "\0"
  /* 15290 */ "UserInteraction" "\0"
  /* 15306 */ "UserProximityEvent" "\0"
  /* 15325 */ "VRDisplay" "\0"
  /* 15335 */ "VRDisplayCapabilities" "\0"
  /* 15357 */ "VRDisplayEvent" "\0"
  /* 15372 */ "VREyeParameters" "\0"
  /* 15388 */ "VRFieldOfView" "\0"
  /* 15402 */ "VRFrameData" "\0"
  /* 15414 */ "VRMockController" "\0"
  /* 15431 */ "VRMockDisplay" "\0"
  /* 15445 */ "VRPose" "\0"
  /* 15452 */ "VRServiceTest" "\0"
  /* 15466 */ "VRStageParameters" "\0"
  /* 15484 */ "VTTCue" "\0"
  /* 15491 */ "VTTRegion" "\0"
  /* 15501 */ "ValidityState" "\0"
  /* 15515 */ "VideoColorSpace" "\0"
  /* 15531 */ "VideoDecoder" "\0"
  /* 15544 */ "VideoFrame" "\0"
  /* 15555 */ "VideoPlaybackQuality" "\0"
  /* 15576 */ "VideoTrack" "\0"
  /* 15587 */ "VideoTrackList" "\0"
  /* 15602 */ "VisualViewport" "\0"
  /* 15617 */ "WEBGL_color_buffer_float" "\0"
  /* 15642 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15672 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15701 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15731 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15762 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15792 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15827 */ "WEBGL_debug_renderer_info" "\0"
  /* 15853 */ "WEBGL_debug_shaders" "\0"
  /* 15873 */ "WEBGL_depth_texture" "\0"
  /* 15893 */ "WEBGL_draw_buffers" "\0"
  /* 15912 */ "WEBGL_explicit_present" "\0"
  /* 15935 */ "WEBGL_lose_context" "\0"
  /* 15954 */ "WEBGL_provoking_vertex" "\0"
  /* 15977 */ "WakeLock" "\0"
  /* 15986 */ "WakeLockSentinel" "\0"
  /* 16003 */ "WaveShaperNode" "\0"
  /* 16018 */ "WebExtensionContentScript" "\0"
  /* 16044 */ "WebExtensionPolicy" "\0"
  /* 16063 */ "WebGL2RenderingContext" "\0"
  /* 16086 */ "WebGLActiveInfo" "\0"
  /* 16102 */ "WebGLBuffer" "\0"
  /* 16114 */ "WebGLContextEvent" "\0"
  /* 16132 */ "WebGLFramebuffer" "\0"
  /* 16149 */ "WebGLProgram" "\0"
  /* 16162 */ "WebGLQuery" "\0"
  /* 16173 */ "WebGLRenderbuffer" "\0"
  /* 16191 */ "WebGLRenderingContext" "\0"
  /* 16213 */ "WebGLSampler" "\0"
  /* 16226 */ "WebGLShader" "\0"
  /* 16238 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16265 */ "WebGLSync" "\0"
  /* 16275 */ "WebGLTexture" "\0"
  /* 16288 */ "WebGLTransformFeedback" "\0"
  /* 16311 */ "WebGLUniformLocation" "\0"
  /* 16332 */ "WebGLVertexArrayObject" "\0"
  /* 16355 */ "WebKitCSSMatrix" "\0"
  /* 16371 */ "WebSocket" "\0"
  /* 16381 */ "WebTransport" "\0"
  /* 16394 */ "WebTransportBidirectionalStream" "\0"
  /* 16426 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16459 */ "WebTransportError" "\0"
  /* 16477 */ "WebTransportReceiveStream" "\0"
  /* 16503 */ "WebTransportSendStream" "\0"
  /* 16526 */ "WebrtcGlobalInformation" "\0"
  /* 16550 */ "WheelEvent" "\0"
  /* 16561 */ "Window" "\0"
  /* 16568 */ "WindowClient" "\0"
  /* 16581 */ "WindowContext" "\0"
  /* 16595 */ "WindowGlobalChild" "\0"
  /* 16613 */ "WindowGlobalParent" "\0"
  /* 16632 */ "WindowRoot" "\0"
  /* 16643 */ "Worker" "\0"
  /* 16650 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16676 */ "WorkerGlobalScope" "\0"
  /* 16694 */ "WorkerLocation" "\0"
  /* 16709 */ "WorkerNavigator" "\0"
  /* 16725 */ "WorkerTestUtils" "\0"
  /* 16741 */ "Worklet" "\0"
  /* 16749 */ "WorkletGlobalScope" "\0"
  /* 16768 */ "WritableStream" "\0"
  /* 16783 */ "WritableStreamDefaultController" "\0"
  /* 16815 */ "WritableStreamDefaultWriter" "\0"
  /* 16843 */ "XMLDocument" "\0"
  /* 16855 */ "XMLHttpRequest" "\0"
  /* 16870 */ "XMLHttpRequestEventTarget" "\0"
  /* 16896 */ "XMLHttpRequestUpload" "\0"
  /* 16917 */ "XMLSerializer" "\0"
  /* 16931 */ "XPathEvaluator" "\0"
  /* 16946 */ "XPathExpression" "\0"
  /* 16962 */ "XPathResult" "\0"
  /* 16974 */ "XRBoundedReferenceSpace" "\0"
  /* 16998 */ "XRFrame" "\0"
  /* 17006 */ "XRInputSource" "\0"
  /* 17020 */ "XRInputSourceArray" "\0"
  /* 17039 */ "XRInputSourceEvent" "\0"
  /* 17058 */ "XRInputSourcesChangeEvent" "\0"
  /* 17084 */ "XRPose" "\0"
  /* 17091 */ "XRReferenceSpace" "\0"
  /* 17108 */ "XRReferenceSpaceEvent" "\0"
  /* 17130 */ "XRRenderState" "\0"
  /* 17144 */ "XRRigidTransform" "\0"
  /* 17161 */ "XRSession" "\0"
  /* 17171 */ "XRSessionEvent" "\0"
  /* 17186 */ "XRSpace" "\0"
  /* 17194 */ "XRSystem" "\0"
  /* 17203 */ "XRView" "\0"
  /* 17210 */ "XRViewerPose" "\0"
  /* 17223 */ "XRViewport" "\0"
  /* 17234 */ "XRWebGLLayer" "\0"
  /* 17247 */ "XSLTProcessor" "\0"
  /* 17261 */ "XULCommandEvent" "\0"
  /* 17277 */ "XULElement" "\0"
  /* 17288 */ "XULFrameElement" "\0"
  /* 17304 */ "XULMenuElement" "\0"
  /* 17319 */ "XULPopupElement" "\0"
  /* 17335 */ "XULResizerElement" "\0"
  /* 17353 */ "XULTextElement" "\0"
  /* 17368 */ "XULTreeElement" "\0"
  /* 17383 */ "console" "\0"
  /* 17391 */ "webkitSpeechGrammar" "\0"
  /* 17411 */ "webkitSpeechGrammarList" "\0"
  /* 17435 */ "webkitSpeechRecognition" "\0"
  /* 17459 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

